Package org.apache.calcite.avatica.proto

## Enum Common.MetaDataOperation

- java.lang.Object
- - java.lang.Enum<Common.MetaDataOperation>
  - - org.apache.calcite.avatica.proto.Common.MetaDataOperation

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `java.io.Serializable`, `java.lang.Comparable<Common.MetaDataOperation>`

Enclosing class:
  Common

    public static enum Common.MetaDataOperation
    extends java.lang.Enum<Common.MetaDataOperation>
    implements com.google.protobuf.ProtocolMessageEnum

     Enumeration corresponding to DatabaseMetaData operations

Protobuf enum `MetaDataOperation`

### Enum Constant Summary

Enum Constants
`GET_ATTRIBUTES` `GET_ATTRIBUTES = 0;`
`GET_BEST_ROW_IDENTIFIER` `GET_BEST_ROW_IDENTIFIER = 1;`
`GET_CATALOGS` `GET_CATALOGS = 2;`
`GET_CLIENT_INFO_PROPERTIES` `GET_CLIENT_INFO_PROPERTIES = 3;`
`GET_COLUMN_PRIVILEGES` `GET_COLUMN_PRIVILEGES = 4;`
`GET_COLUMNS` `GET_COLUMNS = 5;`
`GET_CROSS_REFERENCE` `GET_CROSS_REFERENCE = 6;`
`GET_EXPORTED_KEYS` `GET_EXPORTED_KEYS = 7;`
`GET_FUNCTION_COLUMNS` `GET_FUNCTION_COLUMNS = 8;`
`GET_FUNCTIONS` `GET_FUNCTIONS = 9;`
`GET_IMPORTED_KEYS` `GET_IMPORTED_KEYS = 10;`
`GET_INDEX_INFO` `GET_INDEX_INFO = 11;`
`GET_PRIMARY_KEYS` `GET_PRIMARY_KEYS = 12;`
`GET_PROCEDURE_COLUMNS` `GET_PROCEDURE_COLUMNS = 13;`
`GET_PROCEDURES` `GET_PROCEDURES = 14;`
`GET_PSEUDO_COLUMNS` `GET_PSEUDO_COLUMNS = 15;`
`GET_SCHEMAS` `GET_SCHEMAS = 16;`
`GET_SCHEMAS_WITH_ARGS` `GET_SCHEMAS_WITH_ARGS = 17;`
`GET_SUPER_TABLES` `GET_SUPER_TABLES = 18;`
`GET_SUPER_TYPES` `GET_SUPER_TYPES = 19;`
`GET_TABLE_PRIVILEGES` `GET_TABLE_PRIVILEGES = 20;`
`GET_TABLE_TYPES` `GET_TABLE_TYPES = 22;`
`GET_TABLES` `GET_TABLES = 21;`
`GET_TYPE_INFO` `GET_TYPE_INFO = 23;`
`GET_UDTS` `GET_UDTS = 24;`
`GET_VERSION_COLUMNS` `GET_VERSION_COLUMNS = 25;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `GET_ATTRIBUTES_VALUE` `GET_ATTRIBUTES = 0;`
`static int` `GET_BEST_ROW_IDENTIFIER_VALUE` `GET_BEST_ROW_IDENTIFIER = 1;`
`static int` `GET_CATALOGS_VALUE` `GET_CATALOGS = 2;`
`static int` `GET_CLIENT_INFO_PROPERTIES_VALUE` `GET_CLIENT_INFO_PROPERTIES = 3;`
`static int` `GET_COLUMN_PRIVILEGES_VALUE` `GET_COLUMN_PRIVILEGES = 4;`
`static int` `GET_COLUMNS_VALUE` `GET_COLUMNS = 5;`
`static int` `GET_CROSS_REFERENCE_VALUE` `GET_CROSS_REFERENCE = 6;`
`static int` `GET_EXPORTED_KEYS_VALUE` `GET_EXPORTED_KEYS = 7;`
`static int` `GET_FUNCTION_COLUMNS_VALUE` `GET_FUNCTION_COLUMNS = 8;`
`static int` `GET_FUNCTIONS_VALUE` `GET_FUNCTIONS = 9;`
`static int` `GET_IMPORTED_KEYS_VALUE` `GET_IMPORTED_KEYS = 10;`
`static int` `GET_INDEX_INFO_VALUE` `GET_INDEX_INFO = 11;`
`static int` `GET_PRIMARY_KEYS_VALUE` `GET_PRIMARY_KEYS = 12;`
`static int` `GET_PROCEDURE_COLUMNS_VALUE` `GET_PROCEDURE_COLUMNS = 13;`
`static int` `GET_PROCEDURES_VALUE` `GET_PROCEDURES = 14;`
`static int` `GET_PSEUDO_COLUMNS_VALUE` `GET_PSEUDO_COLUMNS = 15;`
`static int` `GET_SCHEMAS_VALUE` `GET_SCHEMAS = 16;`
`static int` `GET_SCHEMAS_WITH_ARGS_VALUE` `GET_SCHEMAS_WITH_ARGS = 17;`
`static int` `GET_SUPER_TABLES_VALUE` `GET_SUPER_TABLES = 18;`
`static int` `GET_SUPER_TYPES_VALUE` `GET_SUPER_TYPES = 19;`
`static int` `GET_TABLE_PRIVILEGES_VALUE` `GET_TABLE_PRIVILEGES = 20;`
`static int` `GET_TABLE_TYPES_VALUE` `GET_TABLE_TYPES = 22;`
`static int` `GET_TABLES_VALUE` `GET_TABLES = 21;`
`static int` `GET_TYPE_INFO_VALUE` `GET_TYPE_INFO = 23;`
`static int` `GET_UDTS_VALUE` `GET_UDTS = 24;`
`static int` `GET_VERSION_COLUMNS_VALUE` `GET_VERSION_COLUMNS = 25;`
`private static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperation>` `internalValueMap`
`private int` `value`
`private static Common.MetaDataOperation[]` `VALUES`

### Constructor Summary

Constructors
`private` `MetaDataOperation​(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static Common.MetaDataOperation` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperation>` `internalGetValueMap()`
`static Common.MetaDataOperation` `valueOf​(int value)` Deprecated.
`static Common.MetaDataOperation` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static Common.MetaDataOperation` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Common.MetaDataOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET_ATTRIBUTES

    public static final Common.MetaDataOperation GET_ATTRIBUTES

`GET_ATTRIBUTES = 0;`

#### GET_BEST_ROW_IDENTIFIER

    public static final Common.MetaDataOperation GET_BEST_ROW_IDENTIFIER

`GET_BEST_ROW_IDENTIFIER = 1;`

#### GET_CATALOGS

    public static final Common.MetaDataOperation GET_CATALOGS

`GET_CATALOGS = 2;`

#### GET_CLIENT_INFO_PROPERTIES

    public static final Common.MetaDataOperation GET_CLIENT_INFO_PROPERTIES

`GET_CLIENT_INFO_PROPERTIES = 3;`

#### GET_COLUMN_PRIVILEGES

    public static final Common.MetaDataOperation GET_COLUMN_PRIVILEGES

`GET_COLUMN_PRIVILEGES = 4;`

#### GET_COLUMNS

    public static final Common.MetaDataOperation GET_COLUMNS

`GET_COLUMNS = 5;`

#### GET_CROSS_REFERENCE

    public static final Common.MetaDataOperation GET_CROSS_REFERENCE

`GET_CROSS_REFERENCE = 6;`

#### GET_EXPORTED_KEYS

    public static final Common.MetaDataOperation GET_EXPORTED_KEYS

`GET_EXPORTED_KEYS = 7;`

#### GET_FUNCTION_COLUMNS

    public static final Common.MetaDataOperation GET_FUNCTION_COLUMNS

`GET_FUNCTION_COLUMNS = 8;`

#### GET_FUNCTIONS

    public static final Common.MetaDataOperation GET_FUNCTIONS

`GET_FUNCTIONS = 9;`

#### GET_IMPORTED_KEYS

    public static final Common.MetaDataOperation GET_IMPORTED_KEYS

`GET_IMPORTED_KEYS = 10;`

#### GET_INDEX_INFO

    public static final Common.MetaDataOperation GET_INDEX_INFO

`GET_INDEX_INFO = 11;`

#### GET_PRIMARY_KEYS

    public static final Common.MetaDataOperation GET_PRIMARY_KEYS

`GET_PRIMARY_KEYS = 12;`

#### GET_PROCEDURE_COLUMNS

    public static final Common.MetaDataOperation GET_PROCEDURE_COLUMNS

`GET_PROCEDURE_COLUMNS = 13;`

#### GET_PROCEDURES

    public static final Common.MetaDataOperation GET_PROCEDURES

`GET_PROCEDURES = 14;`

#### GET_PSEUDO_COLUMNS

    public static final Common.MetaDataOperation GET_PSEUDO_COLUMNS

`GET_PSEUDO_COLUMNS = 15;`

#### GET_SCHEMAS

    public static final Common.MetaDataOperation GET_SCHEMAS

`GET_SCHEMAS = 16;`

#### GET_SCHEMAS_WITH_ARGS

    public static final Common.MetaDataOperation GET_SCHEMAS_WITH_ARGS

`GET_SCHEMAS_WITH_ARGS = 17;`

#### GET_SUPER_TABLES

    public static final Common.MetaDataOperation GET_SUPER_TABLES

`GET_SUPER_TABLES = 18;`

#### GET_SUPER_TYPES

    public static final Common.MetaDataOperation GET_SUPER_TYPES

`GET_SUPER_TYPES = 19;`

#### GET_TABLE_PRIVILEGES

    public static final Common.MetaDataOperation GET_TABLE_PRIVILEGES

`GET_TABLE_PRIVILEGES = 20;`

#### GET_TABLES

    public static final Common.MetaDataOperation GET_TABLES

`GET_TABLES = 21;`

#### GET_TABLE_TYPES

    public static final Common.MetaDataOperation GET_TABLE_TYPES

`GET_TABLE_TYPES = 22;`

#### GET_TYPE_INFO

    public static final Common.MetaDataOperation GET_TYPE_INFO

`GET_TYPE_INFO = 23;`

#### GET_UDTS

    public static final Common.MetaDataOperation GET_UDTS

`GET_UDTS = 24;`

#### GET_VERSION_COLUMNS

    public static final Common.MetaDataOperation GET_VERSION_COLUMNS

`GET_VERSION_COLUMNS = 25;`

#### UNRECOGNIZED

    public static final Common.MetaDataOperation UNRECOGNIZED

### Field Detail

#### GET_ATTRIBUTES_VALUE

    public static final int GET_ATTRIBUTES_VALUE

`GET_ATTRIBUTES = 0;`

See Also:
  Constant Field Values

#### GET_BEST_ROW_IDENTIFIER_VALUE

    public static final int GET_BEST_ROW_IDENTIFIER_VALUE

`GET_BEST_ROW_IDENTIFIER = 1;`

See Also:
  Constant Field Values

#### GET_CATALOGS_VALUE

    public static final int GET_CATALOGS_VALUE

`GET_CATALOGS = 2;`

See Also:
  Constant Field Values

#### GET_CLIENT_INFO_PROPERTIES_VALUE

    public static final int GET_CLIENT_INFO_PROPERTIES_VALUE

`GET_CLIENT_INFO_PROPERTIES = 3;`

See Also:
  Constant Field Values

#### GET_COLUMN_PRIVILEGES_VALUE

    public static final int GET_COLUMN_PRIVILEGES_VALUE

`GET_COLUMN_PRIVILEGES = 4;`

See Also:
  Constant Field Values

#### GET_COLUMNS_VALUE

    public static final int GET_COLUMNS_VALUE

`GET_COLUMNS = 5;`

See Also:
  Constant Field Values

#### GET_CROSS_REFERENCE_VALUE

    public static final int GET_CROSS_REFERENCE_VALUE

`GET_CROSS_REFERENCE = 6;`

See Also:
  Constant Field Values

#### GET_EXPORTED_KEYS_VALUE

    public static final int GET_EXPORTED_KEYS_VALUE

`GET_EXPORTED_KEYS = 7;`

See Also:
  Constant Field Values

#### GET_FUNCTION_COLUMNS_VALUE

    public static final int GET_FUNCTION_COLUMNS_VALUE

`GET_FUNCTION_COLUMNS = 8;`

See Also:
  Constant Field Values

#### GET_FUNCTIONS_VALUE

    public static final int GET_FUNCTIONS_VALUE

`GET_FUNCTIONS = 9;`

See Also:
  Constant Field Values

#### GET_IMPORTED_KEYS_VALUE

    public static final int GET_IMPORTED_KEYS_VALUE

`GET_IMPORTED_KEYS = 10;`

See Also:
  Constant Field Values

#### GET_INDEX_INFO_VALUE

    public static final int GET_INDEX_INFO_VALUE

`GET_INDEX_INFO = 11;`

See Also:
  Constant Field Values

#### GET_PRIMARY_KEYS_VALUE

    public static final int GET_PRIMARY_KEYS_VALUE

`GET_PRIMARY_KEYS = 12;`

See Also:
  Constant Field Values

#### GET_PROCEDURE_COLUMNS_VALUE

    public static final int GET_PROCEDURE_COLUMNS_VALUE

`GET_PROCEDURE_COLUMNS = 13;`

See Also:
  Constant Field Values

#### GET_PROCEDURES_VALUE

    public static final int GET_PROCEDURES_VALUE

`GET_PROCEDURES = 14;`

See Also:
  Constant Field Values

#### GET_PSEUDO_COLUMNS_VALUE

    public static final int GET_PSEUDO_COLUMNS_VALUE

`GET_PSEUDO_COLUMNS = 15;`

See Also:
  Constant Field Values

#### GET_SCHEMAS_VALUE

    public static final int GET_SCHEMAS_VALUE

`GET_SCHEMAS = 16;`

See Also:
  Constant Field Values

#### GET_SCHEMAS_WITH_ARGS_VALUE

    public static final int GET_SCHEMAS_WITH_ARGS_VALUE

`GET_SCHEMAS_WITH_ARGS = 17;`

See Also:
  Constant Field Values

#### GET_SUPER_TABLES_VALUE

    public static final int GET_SUPER_TABLES_VALUE

`GET_SUPER_TABLES = 18;`

See Also:
  Constant Field Values

#### GET_SUPER_TYPES_VALUE

    public static final int GET_SUPER_TYPES_VALUE

`GET_SUPER_TYPES = 19;`

See Also:
  Constant Field Values

#### GET_TABLE_PRIVILEGES_VALUE

    public static final int GET_TABLE_PRIVILEGES_VALUE

`GET_TABLE_PRIVILEGES = 20;`

See Also:
  Constant Field Values

#### GET_TABLES_VALUE

    public static final int GET_TABLES_VALUE

`GET_TABLES = 21;`

See Also:
  Constant Field Values

#### GET_TABLE_TYPES_VALUE

    public static final int GET_TABLE_TYPES_VALUE

`GET_TABLE_TYPES = 22;`

See Also:
  Constant Field Values

#### GET_TYPE_INFO_VALUE

    public static final int GET_TYPE_INFO_VALUE

`GET_TYPE_INFO = 23;`

See Also:
  Constant Field Values

#### GET_UDTS_VALUE

    public static final int GET_UDTS_VALUE

`GET_UDTS = 24;`

See Also:
  Constant Field Values

#### GET_VERSION_COLUMNS_VALUE

    public static final int GET_VERSION_COLUMNS_VALUE

`GET_VERSION_COLUMNS = 25;`

See Also:
  Constant Field Values

#### internalValueMap

    private static final com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperation> internalValueMap

#### VALUES

    private static final Common.MetaDataOperation[] VALUES

#### value

    private final int value

### Constructor Detail

#### MetaDataOperation

    private MetaDataOperation​(int value)

### Method Detail

#### values

    public static Common.MetaDataOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Common.MetaDataOperation c : Common.MetaDataOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Common.MetaDataOperation valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static Common.MetaDataOperation valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### forNumber

    public static Common.MetaDataOperation forNumber​(int value)

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<Common.MetaDataOperation> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static Common.MetaDataOperation valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null